Secrets
List all secrets
List Secret resources for the given application.
** Headers **
Authorization: Bearer <access_token>
** Scopes **
connectors.self:read-resource
GET
/
v1
/
resources
/
secret
List all secrets
curl --request GET \
--url https://api.vanta.com/v1/resources/secret \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/resources/secret"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/resources/secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/resources/secret",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/resources/secret"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vanta.com/v1/resources/secret")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/resources/secret")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"resources": [
{
"displayName": "<string>",
"uniqueId": "<string>",
"externalUrl": "<string>",
"name": "<string>",
"description": "<string>",
"createdTimestamp": "2023-11-07T05:31:56Z",
"creator": "<string>",
"owner": "<string>",
"updatedTimestamp": "2023-11-07T05:31:56Z",
"lastAccessedTimestamp": "2023-11-07T05:31:56Z",
"expiresTimestamp": "2023-11-07T05:31:56Z"
}
]
}Authorizations
Scopes
Query Parameters
Vanta generated identifier for the given resource, and can be found on the developer console page. See the list of registered resources and their IDs on https://app.vanta.com/settings/developer-console/<app_id>?tab=resources
Was this page helpful?
⌘I
List all secrets
curl --request GET \
--url https://api.vanta.com/v1/resources/secret \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/resources/secret"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/resources/secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/resources/secret",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/resources/secret"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vanta.com/v1/resources/secret")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/resources/secret")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"resources": [
{
"displayName": "<string>",
"uniqueId": "<string>",
"externalUrl": "<string>",
"name": "<string>",
"description": "<string>",
"createdTimestamp": "2023-11-07T05:31:56Z",
"creator": "<string>",
"owner": "<string>",
"updatedTimestamp": "2023-11-07T05:31:56Z",
"lastAccessedTimestamp": "2023-11-07T05:31:56Z",
"expiresTimestamp": "2023-11-07T05:31:56Z"
}
]
}